import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { IHorizontalAnchoredCategorySeriesInteractionManager } from "./IHorizontalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategoryMode } from "./CategoryMode";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { ScalerParams } from "./ScalerParams";
import { Axis } from "./Axis";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
export declare abstract class HorizontalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    private pt;
    readonly pu: IHorizontalAnchoredCategorySeriesInteractionManager;
    hm(): void;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    protected bd(): SeriesHitTestMode;
    mx(): CategoryAxisBase;
    nh(): NumericAxisBase;
    ln(a: Point): Rect;
    private p7;
    protected pz(a: Point, b: Point, c: boolean): boolean;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    df(a: Point, b: boolean): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    ej(a: Point, b: boolean, c: boolean): number;
    fa(a: Point, b: boolean): number;
    e8(a: Point, b: boolean): number;
    d5(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    lc(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    o7(a: Axis): void;
    o8(a: Axis): void;
    ns(): boolean;
    protected pp: CategoryAxisBase;
    protected pv: NumericAxisBase;
    p3(a: CategoryAxisBase): void;
    p4(a: NumericYAxis): void;
    mr(a: number, b: number): any[];
    protected ir(a: any, b: string, c: any, d: any): void;
    protected hr(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    px(a: any): boolean;
    py(a: any): boolean;
    private pr;
    ps: CategoryMode;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
